メインコンテンツへスキップ
GET
/
v2
/
redpacket
/
wallet
/
{address}
/
claims
レッドパケット - アドレス別受取記録
curl --request GET \
  --url https://api.chainstream.io/v2/redpacket/wallet/{address}/claims \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/redpacket/wallet/{address}/claims"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/redpacket/wallet/{address}/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasNextPage": true,
  "records": [
    {
      "amount": "100000000",
      "claimer": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "packetId": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "chain": "sol",
      "claimedAt": 1717334400000,
      "creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..."
    }
  ],
  "total": 123,
  "endCursor": "<string>",
  "startCursor": "<string>"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

address
string
必須

ウォレットのアドレス

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向 Pagination direction

利用可能なオプション:
next,
prev

レスポンス

200 - application/json

成功レスポンス

Paginated red packet claims response

hasNextPage
boolean
必須

次のページがあるかどうか

records
object[]
必須

レッドパケット受取リスト

total
integer<int64>
必須

受取の総件数

endCursor
string | null

現在のページの終了カーソル

startCursor
string | null

現在のページの開始カーソル